aboutsummaryrefslogtreecommitdiffstats
path: root/packaging
diff options
context:
space:
mode:
authorGuy Harris <guy@alum.mit.edu>2018-02-26 13:19:38 -0800
committerGuy Harris <guy@alum.mit.edu>2018-02-26 21:20:10 +0000
commit7b3ce599ece41d9199965069488f00bf30edc4dd (patch)
tree7d3c9f922c90dc26c5fa88253f679dace434604b /packaging
parent12f8f43893ea3d31e4f18b356af581e14becd8a3 (diff)
Dsymify binary files.
See if that makes it possible for CrashReporter to fully symbolicate crash dumps, so the user gets line numbers and the like in crash dumps from the OS, and we get them if the user sends a crash dump to us. Change-Id: I8bb48b2d2f6b3e23fea43c1a3bd3a5a9a97a5c2c Reviewed-on: https://code.wireshark.org/review/26123 Reviewed-by: Guy Harris <guy@alum.mit.edu>
Diffstat (limited to 'packaging')
-rwxr-xr-xpackaging/macosx/osx-app.sh.in28
1 files changed, 28 insertions, 0 deletions
diff --git a/packaging/macosx/osx-app.sh.in b/packaging/macosx/osx-app.sh.in
index 0b5bda776c..fca38c4572 100755
--- a/packaging/macosx/osx-app.sh.in
+++ b/packaging/macosx/osx-app.sh.in
@@ -395,6 +395,34 @@ else
fi
+echo "Dsymifying executables"
+if [ -z "$bundle_binary_list" ] ; then
+ echo "No executables specified for dsymifying."
+ exit 1
+fi
+for binary in $bundle_binary_list ; do
+ if [ -e "$binary" ];then
+ dsymutil "$binary"
+ fi
+done
+
+echo "Dsymifying frameworks"
+for framework in $pkglib/*.framework/Versions/*/* ; do
+ if [ -f "$framework" ];then
+ dsymutil "$framework"
+ fi
+done
+
+echo "Dsymifying libraries"
+for library in $pkglib/*.dylib ; do
+ dsymutil "$library"
+done
+
+echo "Dsymifying plugins"
+for plugin in $pkgplugin/*/*.so ; do
+ dsymutil "$plugin"
+done
+
codesign_file () {
codesign --sign "Developer ID Application: $CODE_SIGN_IDENTITY" --verbose "$1"
codesign --verify --verbose "$1" || exit 1